[SCM] tango branch, master, updated. debian/8.0.5+dfsg-1-1-g1dd4c13

Picca Frédéric-Emma?==?UTF-8?Q?nuel picca at debian.org
Tue May 7 07:14:40 UTC 2013


The following commit has been merged in the master branch:
commit 7acea46c10513b47cdbb442cddffa35b9b32fa22
Author: Picca Frédéric-Emmanuel <picca at debian.org>
Date:   Tue Mar 19 22:05:19 2013 +0100

    repack using the repack script

diff --git a/debian/copyright b/debian/copyright
index afb491d..725f347 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -2,7 +2,7 @@ Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: The Tango team
 Upstream-Contact: tango at esrf.fr
 Source: http://ftp.esrf.fr/pub/cs/tango/
-Disclaimer: All precompiled java class were removed. 
+Disclaimer: All precompiled java class were removed and the doc/src/layouts directory
 
 Files: debian/*
 Copyright: © 2006-2013, Picca Frédéric-Emmanuel <picca at synchrotron-soleil.fr>
diff --git a/debian/repack.local b/debian/repack.local
new file mode 100644
index 0000000..398fb96
--- /dev/null
+++ b/debian/repack.local
@@ -0,0 +1,4 @@
+MANIFEST=0
+SUFFIX=+dfsg
+rm lib/java/*.jar
+rm -rf doc/src/layouts
\ No newline at end of file
diff --git a/debian/repack.stub b/debian/repack.stub
new file mode 100755
index 0000000..ac56520
--- /dev/null
+++ b/debian/repack.stub
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+: <<=cut
+=pod
+
+=head1 NAME
+
+repack.stub - script to repack upstream tarballs from uscan
+
+=head1 INSTRUCTIONS
+
+put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+the end of the line in debian/watch. you will also need to add a version
+mangle to debian/watch.
+
+then create a debian/repack.local. this is a shell script that is
+sources under "set -e", so be careful to check returns codes.
+
+=head1 FUNCTIONS
+
+=over 4
+
+=item rm
+
+rm is replaced by a function that does some magic ("rm -rv" by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item mv
+
+mv is replaced by a function that just does mv (by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item requires_version
+
+requires_version is there for future usage for requiring certain versions of the script
+
+=back
+
+=head1 VARIABLES
+
+=over 4
+
+=item SUFFIX
+
+defaults to +dfsg
+
+what to append to the upstream version
+
+=item RM_OPTS
+
+defaults to -vrf
+
+options to pass to rm
+
+=item MANIFEST
+
+defaults to 0, set to 1 to turn on.
+
+this will manipulate MANIFEST files in CPAN tarballs.
+
+=item UP_BASE
+
+this is the directory where the upstream source is.
+
+=back
+
+=cut
+
+if [ -z "$REPACK_SH" ]; then
+    if [ -f ../../scripts/repack.sh ]; then
+        REPACK_SH=../../scripts/repack.sh
+    fi
+    if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
+        REPACK_SH=$(which repack.sh)
+    fi
+fi
+
+if [ ! -f "$REPACK_SH" ]; then
+    echo "Couldn't find a repack.sh. please put it in your PATH, put it at ../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH variable"
+    echo "You can get it from http://svn.debian.org/viewsvn/pkg-perl/scripts/repack.sh"
+    exit 1
+fi
+
+exec "$REPACK_SH" "$@"
diff --git a/debian/rules b/debian/rules
index 178f1ad..a71e2ff 100755
--- a/debian/rules
+++ b/debian/rules
@@ -9,14 +9,6 @@ CONFIGURE_OPTS := --with-omni=/usr --disable-dbcreate --disable-java --with-doxy
 
 export DEB_LDFLAGS_MAINT_STRIP="-Wl,-Bsymbolic-functions"
 
-get-orig-source:
-	uscan --verbose --force-download --download-current-version
-	cp ../$(PACKAGE)-$(VERSION).tar.gz ../$(PACKAGE)-$(VERSION)+dfsg.tar.gz
-	gunzip ../$(PACKAGE)-$(VERSION)+dfsg.tar.gz
-	tar f ../$(PACKAGE)-$(VERSION)+dfsg.tar --wildcards --delete $(PACKAGE)-$(VERSION)/lib/java/*.jar
-	gzip -9 ../$(PACKAGE)-$(VERSION)+dfsg.tar
-	ln -fs $(PACKAGE)-$(VERSION)+dfsg.tar.gz ../$(PACKAGE)_$(VERSION)+dfsg.orig.tar.gz
-
 sql:
 	./configure $(CONFIGURE_OPTS)
 	# use this target to generate the dbconfig-common upgrade script once the debian/changelog is ok
diff --git a/debian/watch b/debian/watch
index b9e6e65..87b0aa2 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,3 +1,4 @@
 version=3
 opts=dversionmangle=s/.dfsg// \
-http://ftp.esrf.fr/pub/cs/tango/tango-(.*)\.tar\.gz
+http://ftp.esrf.fr/pub/cs/tango/tango-(.*)\.tar\.gz \
+debian sh debian/repack.stub

-- 
TANGO distributed control system.



More information about the debian-science-commits mailing list